## org.eclipse.datatools.enablement.sybase.deltaddl
Class PrivilegeDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
              org.eclipse.datatools.enablement.sybase.deltaddl.PrivilegeDeltaDdlGenProvider

All Implemented Interfaces:
  IDeltaDdlGenProvider

Direct Known Subclasses:
  ASAPrivilegeDeltaDdlGenProvider, ASEPrivilegeDeltaDdlGenProvider

    public class PrivilegeDeltaDdlGenProvider

extends AbstractDeltaDdlGenProvider

Delta ddl provider for privilege.

Author:
  Idull

Constructor Summary
`PrivilegeDeltaDdlGenProvider()`

Method Summary
`void` `processCreateStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, ISybaseDdlGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject creation scripts
`void` `processDropStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, SybaseDdlScript script, DDLGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
`analyze, getParameter, processAlterStatement, processDropStatement, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropFunction, dropIndex, dropProcedure, dropSchema, dropTable, dropTableConstraint, dropTrigger, dropUserDefinedType, dropView, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivilegeDeltaDdlGenProvider

    public PrivilegeDeltaDdlGenProvider()

Method Detail

### processCreateStatement

    public void processCreateStatement(SQLObject element,
                                       boolean quoteIdentifiers,
                                       boolean qualifyNames,
                                       boolean fullSyntax,
                                       SybaseDdlScript script,
                                       ISybaseDdlGenerator generator,
                                       org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject creation scripts

  Specified by:
    `processCreateStatement` in interface `IDeltaDdlGenProvider`
  Overrides:
    `processCreateStatement` in class `AbstractDeltaDdlGenProvider`

### processDropStatement

    public void processDropStatement(SQLObject element,
                                     boolean quoteIdentifiers,
                                     boolean qualifyNames,
                                     SybaseDdlScript script,
                                     DDLGenerator generator,
                                     org.eclipse.core.runtime.IProgressMonitor monitor)